- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgUtx::TestQualifier Class Reference

Maintains a string that when accessed in the "visit" member, returns the current qualified TestSuite path. More...

Inheritance diagram for osgUtx::TestQualifier:

[legend]
List of all members.

## Public Member Functions
virtual bool | visitEnter (TestSuite *pSuite)
virtual bool | visitLeave (TestSuite *pSuite)
const std::string & | currentPath () const

## Detailed Description

Maintains a string that when accessed in the "visit" member, returns the current qualified TestSuite path.

## Member Function Documentation

const std::string & osgUtx::TestQualifier::currentPath | ( |  | ) | const

bool osgUtx::TestQualifier::visitEnter | ( | TestSuite * | pSuite | ) | `[virtual]`

| Reimplemented from osgUtx::TestVisitor. Reimplemented in osgUtx::TestRunner.

bool osgUtx::TestQualifier::visitLeave | ( | TestSuite * | pSuite | ) | `[virtual]`

| Reimplemented from osgUtx::TestVisitor. Reimplemented in osgUtx::TestRunner.

The documentation for this class was generated from the following files:

- UnitTestFramework
- UnitTestFramework.cpp